diff options
author | fvogel <fvogelnew1@free.fr> | 2021-05-25 08:13:45 (GMT) |
---|---|---|
committer | fvogel <fvogelnew1@free.fr> | 2021-05-25 08:13:45 (GMT) |
commit | f810919fc042c772f860fe52efd18b236c0b41ce (patch) | |
tree | 418b82722ed16400d74efef0b7ba6e36076b1292 /.github | |
parent | f228a5785fa4118ec25cc3fb7521aed0da1ed598 (diff) | |
parent | 2415c763010105d2885365a8feacec77a52188f2 (diff) | |
download | tk-f810919fc042c772f860fe52efd18b236c0b41ce.zip tk-f810919fc042c772f860fe52efd18b236c0b41ce.tar.gz tk-f810919fc042c772f860fe52efd18b236c0b41ce.tar.bz2 |
merge core-8-6-branch
Diffstat (limited to '.github')
-rw-r--r-- | .github/workflows/mac-build.yml | 39 |
1 files changed, 28 insertions, 11 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml index a14af01..a5fbf59 100644 --- a/.github/workflows/mac-build.yml +++ b/.github/workflows/mac-build.yml @@ -4,7 +4,7 @@ env: ERROR_ON_FAILURES: 1 jobs: xcode: - runs-on: macos-11.0 + runs-on: macos-11 defaults: run: shell: bash @@ -37,8 +37,17 @@ jobs: echo "::error::Failure during Build" exit 1 } + - name: Run Tests + run: | + make test | tee out.txt + nmatches=$( grep -c "Failed 0" out.txt ) + if [ $nmatches -lt 4 ] + then + echo "::error::Failure during Test" + exit 1 + fi clang: - runs-on: macos-11.0 + runs-on: macos-11 strategy: matrix: symbols: @@ -63,16 +72,15 @@ jobs: ref: core-8-6-branch path: tcl - name: Prepare checked out repositories + env: + SET_DISPLAY: ${{ contains(matrix.options, '--disable-aqua') }} run: | touch tkStubInit.c mkdir "$HOME/install dir" echo "USE_XVFB=$SET_DISPLAY" >> $GITHUB_ENV working-directory: tk/generic - env: - SET_DISPLAY: ${{ contains(matrix.options, '--disable-aqua') }} - name: Add X11 (if required) - if: ${{ env.USE_XVFB }} - # This involves black magic + if: ${{ env.USE_XVFB == 'true' }} run: | brew install --cask xquartz sudo /opt/X11/libexec/privileged_startx || true @@ -120,20 +128,29 @@ jobs: Xvfb $1 & XVFB_PID=$! echo Launched Xvfb $1 as process $XVFB_PID >&2 + trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID" 0 export DISPLAY=$1 sleep 2 } else function runXvfb { - : do nothing + echo Xvfb not used, this is a --enable-aqua build } fi - ( runXvfb :0; make test-classic test-ttk; exit $? ) | tee out.txt || { - echo "::error::Failure during Test" + ( runXvfb :0; make test-classic; exit $? ) | tee out-classic.txt || { + echo "::error::Failure during Test (classic)" + exit 1 + } + ( runXvfb :0; make test-ttk; exit $? ) | tee out-ttk.txt || { + echo "::error::Failure during Test (ttk)" + exit 1 + } + cat out-classic.txt | grep -q "Failed 0" || { + echo "::error::Failure in classic test results" exit 1 } - cat out.txt | grep -q "Failed [1-9]" && { - echo "::error::Failure in test results" + cat out-ttk.txt | grep -q "Failed 0" || { + echo "::error::Failure in ttk test results" exit 1 } - name: Carry out trial installation |